Class | Spec::Runner::Formatter::SpecdocFormatter
In: | lib/spec/runner/formatter/specdoc_formatter.rb
Parent: | BaseTextFormatter

### Methods

add_example_group example_failed example_passed example_pending

### Public Instance methods

add_example_group(example_group)

[Source]

        # File lib/spec/runner/formatter/specdoc_formatter.rb, line 7
     7:         def add_example_group(example_group)
     8:           super
     9:           output.puts
    10:           output.puts example_group.description
    11:           output.flush
    12:         end

example_failed(example, counter, failure)

[Source]

        # File lib/spec/runner/formatter/specdoc_formatter.rb, line 14
    14:         def example_failed(example, counter, failure)
    15:           message = if failure.expectation_not_met?
    16:             "- #{example.description} (FAILED - #{counter})"
    17:           else
    18:             "- #{example.description} (ERROR - #{counter})"
    19:           end
    20:
    21:           output.puts(failure.expectation_not_met? ? red(message) : magenta(message))
    22:           output.flush
    23:         end

example_passed(example)

[Source]

        # File lib/spec/runner/formatter/specdoc_formatter.rb, line 25
    25:         def example_passed(example)
    26:           message = "- #{example.description}"
    27:           output.puts green(message)
    28:           output.flush
    29:         end

example_pending(example, message)

[Source]

        # File lib/spec/runner/formatter/specdoc_formatter.rb, line 31
    31:         def example_pending(example, message)
    32:           super
    33:           output.puts yellow("- #{example.description} (PENDING: #{message})")
    34:           output.flush
    35:         end

[Validate]